<div class="product-card-container" matBadge="{{tallyCount}}">
  <mat-card class="product-card" (click)="onClick()" matRipple>
    <img mat-card-image src="{{imageUrl}}" alt="Image of {{product.name}}">
    <mat-card-footer>
      <mat-progress-bar *ngIf="showProgressBar" mode="indeterminate"></mat-progress-bar>
    </mat-card-footer>
  </mat-card>
  <p class="product-card-text">{{product.name}}</p>
  <p class="product-card-text">{{settingsHandler.getAmountFormatted(product.price)}}</p>
</div>
